/* ##### STYLES FOR VALIDATION ###### */

@import "../variables";

input,
textarea,
select {

	&.parsley-success:not(.no-success) {
		color: $validation_success_text;
		background-color: $validation_success_bg;
		transition: 300ms all ease-out;

		&::placeholder {
			color: $validation_success_text;
		}

		+ svg {
			fill: $deep_midnight;

			&.a {
				fill: $deep_midnight;
			}
		} // end svg
	}

	&.parsley-error {
		color: $validation_error_text;
		background-color: $validation_error_bg;
		transition: 300ms all ease-out;

		&::placeholder {
			color: $validation_error_text;
		}
	}

} // end input elements

.parsley-errors-list {
	position: absolute;
	text-align: center;
	width: 100%;
	z-index: -1;

	margin: 4px 0 4px;
	padding: 0;
	list-style-type: none;
	font-size: 0.9em;
	line-height: 0.9em;
	opacity: 0;
	color: $validation_error_bg;

	transition: all .3s ease-in;
	-o-transition: all .3s ease-in;
	-moz-transition: all .3s ease-in;
	-webkit-transition: all .3s ease-in;

	transform: translateY(-20px);

	&.filled {
		animation: slide-down 800ms forwards ease-out;
	}
}

@keyframes slide-down {
	0%   { transform: translateY(-20px); opacity: 0; }
	100% { transform: translateY(0); opacity: 1; }
}
